﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;

namespace XdgIdei {
    public class PriceValidationRule : ValidationRule {

        public override ValidationResult Validate(object value, System.Globalization.CultureInfo cultureInfo) {
            decimal val;
            if (decimal.TryParse(value.ToString(), out val)) {
                if (val < 0)
                    return new ValidationResult(false, "Price is not valid");
                else if (val > 25)
                    return new ValidationResult(false, "Price too high");
            } else {
                return new ValidationResult(false, "Price has wrong format");
            }

            return ValidationResult.ValidResult;
        }
    }
}
